export interface Activity {
	actor: string;
	type: string;
	id: string;
}

export interface Article extends Activity {
	to: string[];
	cc: string[];
}

export interface Create extends Activity {
	to: string[];
	cc: string[];
	object: Activity;
}

export interface Follow extends Activity {
	object: string;
}

export interface Accept extends Activity {
	object: Follow;
}

export interface Undo extends Activity {
	object: Activity;
}

export interface Note extends Activity {
	attributedTo: string;
	content: string;
	published: string;
	inReplyTo: string;
	conversation: string;
}

export interface Delete extends Activity {
	object: string;
}

export interface Actor {
	id: string;
	name: string;
	inbox: string;
	endpoints?: {
		sharedInbox?: string;
	}
	publicKey: {
		publicKeyPem: string;
	};
	icon: string | object | (string | object)[];
}